# Template Indirizzi

## Campi Personalizzati & Attributi

Il modulo SDI consente l'inserimento di nuovi campi nella scheda degli indirizzi del cliente. Tali campi possono essere chiamati anche attributi. La lista degli attributi realizzati all'installazione del modulo sono:&#x20;

* sdi\_identity
* sdi\_fiscalcode
* sdi\_pec

I tre attributi verranno inseriti dentro la scheda chiamata "rubrica" che il cliente gestisce in varie sezioni del negozio Magento.

Gli attributi sono presenti nelle sezioni:

* Checkout
* Rubrica

{% hint style="info" %}
L'amministratore potrà gestire gli attributi direttamente nella scheda del cliente sotto la voce Indirizzi dopo aver selezionato il cliente
{% endhint %}

Una volta installata l'estensione SDI tali campi faranno parte del progetto Magento e non potranno essere eliminati senza compromettere il corretto funzionamento del progetto.

### Template Indirizzi

Per visualizzare tali attributi dentro la rubrica degli indirizzi bisognerà aggiungere alcune righe dentro la sezione Customer Configuration che rappresentano i segnaposti dei valori degli attributi generati dal modulo SDI.

![](/files/-Lvfs-8YABMck8mVSYrk)

La sezione su indicata nella foto richiede un minimo di attenzione per essere configurata correttamente.

#### Sezione Text

```
{{depend sdi_identity}}SDI: {{var sdi_identity}}{{/depend}}
{{depend sdi_pec}}PEC: {{var sdi_pec}}{{/depend}}
{{depend sdi_fiscalcode}}CF: {{var sdi_fiscalcode}}{{/depend}}
```

#### Text One Line

```
{{depend sdi_identity}}, {{var sdi_identity}}{{/depend}}
```

#### HTML

```
{{depend sdi_identity}}<br />SDI: {{var sdi_identity}}{{/depend}}
{{depend sdi_pec}}<br />PEC: {{var sdi_pec}}{{/depend}}
{{depend sdi_fiscalcode}}<br />CF: {{var sdi_fiscalcode}}{{/depend}}
```

#### PDF

```
{{depend sdi_identity}}SDI: {{var sdi_identity}}{{/depend}}
{{depend sdi_pec}}PEC: {{var sdi_pec}}{{/depend}}
{{depend sdi_fiscalcode}}CF: {{var sdi_fiscalcode}}{{/depend}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sdi.shinesoftware.it/configurazione/template-indirizzi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
